---

name: Deploy

on:
  push:
    branches: [main]

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
    - name: Checkout Code
      uses: actions/checkout@v3
    - name: Setup zs
      uses: actions/setup-zs@main
    - name: Build site
      run: make build
    - name: Publish site
      uses: actions/gitea-pages@main
      with:
        path: .pub
